Debian Bug report logs - #598182
disabling live-installer doesn't work

version graph

Package: live-installer; Maintainer for live-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for live-installer is src:live-installer.

Reported by: daniel@debian.org

Date: Mon, 27 Sep 2010 08:48:10 UTC

Severity: normal

Found in version live-installer/29

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598182; Package live-installer. (Mon, 27 Sep 2010 08:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 27 Sep 2010 08:48:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: disabling live-installer doesn't work
Date: Mon, 27 Sep 2010 10:47:19 +0200
Package: live-installer

disabling live-installer (and falling back to bootstrap-installer) with
live-installer/enable=false doesn't work.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598182; Package live-installer. (Sat, 20 Nov 2010 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 20 Nov 2010 17:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 598182@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 598182@bugs.debian.org
Subject: Re: disabling live-installer doesn't work
Date: Sat, 20 Nov 2010 18:36:12 +0100
tag 598182 pending
thanks

fixed in svn.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 20 Nov 2010 17:39:05 GMT) Full text and rfc822 format available.

Reply sent to daniel@debian.org:
You have taken responsibility. (Mon, 22 Nov 2010 23:30:04 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Mon, 22 Nov 2010 23:30:04 GMT) Full text and rfc822 format available.

Message #17 received at 598182-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 598182-done@bugs.debian.org
Subject: done
Date: Tue, 23 Nov 2010 00:27:45 +0100
Version: 28

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Dec 2010 07:34:31 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 10 Jan 2011 15:06:03 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions 28 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Jan 2011 15:06:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions live-installer/29. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 10 Jan 2011 15:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598182; Package live-installer. (Sat, 19 Feb 2011 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 19 Feb 2011 08:57:03 GMT) Full text and rfc822 format available.

Message #30 received at 598182@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: 598182@bugs.debian.org
Subject: This bug persist on v30
Date: Sat, 19 Feb 2011 09:52:28 +0100
I guess these problems are the same.

With these entries on syslinux cfg on a USB Live Debian image

- the first install from live rootfs image and boot OK (live-installer runs OK)
- the second install succesfull but don't boot (don't find rootfs in hd)
- third install and boot but from live rootfs too.


label Success
        menu label Success
        kernel /install/vmlinuz
        append initrd=/install/initrd.gz auto=true priority=critical
vga=normal quiet  file=/cdrom/install/preseed.cfg

label Error1
        menu label Error 1
        kernel /install/vmlinuz
        append initrd=/install/initrd.gz auto=true priority=critical
live-installer/mode=live vga=normal quiet
file=/cdrom/install/preseed.cfg

label Error2
        menu label Error 2
        kernel /install/vmlinuz
        append initrd=/install/initrd.gz auto=true priority=critical
live-installer/enable=false vga=normal quiet
file=/cdrom/install/preseed.cfg




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598182; Package live-installer. (Thu, 03 Mar 2011 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 03 Mar 2011 17:33:05 GMT) Full text and rfc822 format available.

Message #35 received at 598182@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: 598182@bugs.debian.org
Subject: Posible lack of package bootstrap-base
Date: Thu, 3 Mar 2011 18:29:39 +0100
Hello everybody

Is it possible that this error is due to the lack of package
bootstrap-base on live image?

I guess that live-installer is executed when
live-installer/enable=false because is the only one package on image
that provide installed-base although  live-installer.isinstallable
return false. If bootstrap-base were installed,
bootstrap-base.isinstallable will be return true, as
live-installer.isinstallable return false, so bootstrap-base will be
installed in place of live-installer.

is this posible?

Thanks in advance.

-- 
José Luis Zabalza
jlz.3008  a t  gmail.com
Linux Counter 172551




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#598182; Package live-installer. (Fri, 04 Mar 2011 11:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jose Luis Zabalza <jlz.3008@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 04 Mar 2011 11:09:05 GMT) Full text and rfc822 format available.

Message #40 received at 598182@bugs.debian.org (full text, mbox):

From: Jose Luis Zabalza <jlz.3008@gmail.com>
To: 598182@bugs.debian.org
Subject: Adding bootstrap-base udeb
Date: Fri, 4 Mar 2011 12:08:25 +0100
Hello everybody

I've gotten insert bootstrap-base udeb into a USB live image, copying
the .udeb file, adding package information on
dists/squeeze/main/debian-installer/binary-i386/Packages, building
compressed file, and patching md5sum.txt. Now, install proccess is
correct but don't work.

Now

1.- live-installer and bootstrap-base were installed.
2.- bootstrap-base.isinstallable and bootstrap-base.postinst were
installed on /var/lib/dpkg/info directory
3.- "Install the system" item appear when live-installer/enable=false
was preseeded.
4.- If "Install the system" item is selected, bootstrap-base is
executed instead of live-installer.

The problem now is bootstrap-base doesn't work. I don't know anything
else is required.

any ideas?

Thanks in advance.




Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Sat, 04 Feb 2012 19:15:07 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Sat, 04 Feb 2012 19:15:07 GMT) Full text and rfc822 format available.

Message #45 received at 598182-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 598182-done@bugs.debian.org
Subject: re: disabling live-installer doesn't work
Date: Sat, 04 Feb 2012 20:14:49 +0100
disabling live-installer does indeed work, hence closing.

that debootstrap fails with 'cannot mount /proc' or something, is a
different bug in bootstrap-base (which i'm going to open soon once i've
made sure it's not live-build specific).

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 04 Mar 2012 07:36:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:45:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.